{% extends 'dashboard/_layout/layout_dashboard_v2.html.twig' %}

{% block title %}Properties {{ parent() }}{% endblock %}

{% block content %}
    <div class="container-fluid">
        <div class="row mx-5 pt-4">
            <div class="col-12">
                <div class="row align-items-center mb-4">
                    <div class="col">
                        <h4 class="mt-0 text-dark font-weight-bold">Properties</h4>
                    </div><!--end col-->
                    <div class="col-auto">
                        <button type="button" class="btn btn-primary px-3 py-1" data-toggle="modal"
                                data-target="#createPropertyModal">+ Add Property
                        </button>
                    </div>
                </div>  <!--end row-->
            </div>

            {% embed 'dashboard/_component/flash_v2.html.twig' with {'classes':'col-12 mb-1'} %}{% endembed %}

            <div class="col-12">
                <div class="card shadow-none border-0 border-radius-10">
                    <div class="card-header py-3 border-radius-10 border-bottom-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <button class="btn py-0 btn-soft-primary">Active</button>
                                <button class="btn py-0 btn-soft-secondary">Archived</button>
                            </div><!--end col-->
                        </div>  <!--end row-->
                    </div>

                    <div class="card-body p-0 border-top border-bottom">
                        <form class="form-inline p-3 bg-light-alt">
                            <div class="form-group">
                                <label for="inputPassword2" class="sr-only">Search</label>
                                <input type="search" class="form-control form-control-sm" id="inputPassword2"
                                       placeholder="Search...">
                            </div>
                            <div class="form-group mx-sm-3">
                                <label for="status-select" class="mr-2">Sort By</label>
                                <select class=" form-control  form-control-sm" id="status-select">
                                    <option selected="">All</option>
                                    <option value="1">Hot</option>
                                    <option value="2">Cold</option>
                                    <option value="3">In Progress</option>
                                    <option value="4">Lost</option>
                                    <option value="5">Won</option>
                                </select>
                            </div>
                            <button type="button" class="btn btn-soft-primary btn-sm">
                                <i class="fas fa-search mr-1"></i>search
                            </button>
                        </form>
                    </div>

                    <div class="card-body">
                        <div class="row">
                            <div class="col-12 align-self-end">
                                <div class="timer-data">
                                    <div class="table-responsive browser_users">
                                        <table class="table table-hover mb-0">
                                            <thead class="thead-light">
                                            <tr>
                                                <th class="border-top-0">Name</th>
                                                <th class="border-top-0">Address</th>
                                                <th class="border-top-0">Property Details</th>
                                                <th class="border-top-0">Recent Analysis</th>
                                                <th class="border-top-0">Status</th>
                                            </tr><!--end tr-->
                                            </thead>
                                            <tbody>
                                            {% for property in properties %}
                                                <tr class="row-link"
                                                    data-href="{{ path('app_dashboard_property_view', {propertyIdEncoded: property.IdEncoded}) }}">
                                                    <td>
                                                        <h6 class="mb-0">{{ property.name }}</h6>
                                                        <small class="text-muted">{{ property.description }}</small>
                                                    </td>
                                                    <td>
                                                        <h6 class="mb-0">{{ property.address.streetAddress }}</h6>
                                                        <small class="text-muted">{{ property.address.city }}
                                                            , {{ property.address.zipCode }} {{ property.address.state }}</small>
                                                    </td>
                                                    <td>
                                                        {{ property.details.bedrooms | number_format }} bedrooms<br/>
                                                        {{ property.details.fullBathrooms | number_format }}
                                                        bathrooms<br/>
                                                    </td>
                                                    <td>
                                                        <h6 class="mb-0">Profit: $32,000</h6>
                                                        <small class="text-muted">10% ROI / 6% AROI</small>
                                                    </td>
                                                    <td>{{ property.status | property_status }}</td>
                                                </tr><!--end tr-->
                                            {% endfor %}
                                            </tbody>
                                        </table> <!--end table-->
                                    </div><!--end /div-->
                                </div>
                            </div><!--end col-->
                        </div><!--end row-->
                    </div><!--end card-body-->
                </div><!--end card-->
            </div>
        </div>
    </div>
{% endblock %}

{% block modals %}
    {{ parent() }}

    {% embed 'dashboard/property/_component/create_property_modal.html.twig' with {'createPropertyForm': createPropertyForm} %}{% endembed %}
{% endblock %}